Method: hashList.get
透過集合功能整理內容
你可以依據偏好儲存及分類內容。
HTTP 要求
GET https://safebrowsing.googleapis.com/v5alpha1/hashList/{name}
這個網址使用 gRPC 轉碼語法。
路徑參數
| 參數 |
name |
string
必填。這個特定雜湊清單的名稱。可能是威脅清單,也可能是全域快取。
|
查詢參數
| 參數 |
version |
string (bytes format)
用戶端已有的雜湊清單版本。如果這是用戶端第一次擷取雜湊清單,這個欄位「必須」留空。否則,用戶端「應」提供先前從伺服器收到的版本。用戶端「不得」操縱這些位元組。 第 5 版的新功能:在第 4 版 API 中,這項功能稱為 states,現在為求清楚起見,已重新命名為 version。 Base64 編碼字串。
|
sizeConstraints |
object (SizeConstraints)
清單的大小限制。如果省略,則沒有限制。建議在處理能力、頻寬或儲存空間有限的所有裝置上使用限制。
|
回應主體
如果成功,回應主體會包含 HashList 的執行個體。
除非另有註明,否則本頁面中的內容是採用創用 CC 姓名標示 4.0 授權,程式碼範例則為阿帕契 2.0 授權。詳情請參閱《Google Developers 網站政策》。Java 是 Oracle 和/或其關聯企業的註冊商標。
上次更新時間:2026-02-20 (世界標準時間)。
[[["容易理解","easyToUnderstand","thumb-up"],["確實解決了我的問題","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["缺少我需要的資訊","missingTheInformationINeed","thumb-down"],["過於複雜/步驟過多","tooComplicatedTooManySteps","thumb-down"],["過時","outOfDate","thumb-down"],["翻譯問題","translationIssue","thumb-down"],["示例/程式碼問題","samplesCodeIssue","thumb-down"],["其他","otherDown","thumb-down"]],["上次更新時間:2026-02-20 (世界標準時間)。"],[],["This document details retrieving a hash list (threat or non-threat) using a `GET` request. The URL is structured as `https://safebrowsing.googleapis.com/v5alpha1/hashList/{name}`, with `name` being a required path parameter. Optional query parameters include `version` (client's current list version), `desiredHashLength` (hash prefix length), and `sizeConstraints` (list size limits). The request body is empty, and a successful response returns a `HashList` instance.\n"]]